//Copyright (C)2014-2024 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.9.02
//Part Number: GW1N-LV9PG256C6/I5
//Device: GW1N-
//Created Time: Wed Apr 24 12:27:38 2024

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	FifoMax2870 your_instance_name(
		.Data(Data_i), //input [31:0] Data
		.Reset(Reset_i), //input Reset
		.WrClk(WrClk_i), //input WrClk
		.RdClk(RdClk_i), //input RdClk
		.WrEn(WrEn_i), //input WrEn
		.RdEn(RdEn_i), //input RdEn
		.Q(Q_o), //output [31:0] Q
		.Empty(Empty_o), //output Empty
		.Full(Full_o) //output Full
	);

//--------Copy end-------------------
